/* ------------ switch ------------ */
.pricing {
  background-color: #f1f4f8;
  padding-top: 8rem;
}

.pricing-wrapper {
  box-sizing: border-box;
}

.pricing-top {
  display: flex;
  justify-content: center;
}

.pricing-top-wrapper {
  width: calc(2 * 100% / 3);
  text-align: center;
}

.pricing-top-wrapper > h1 {
  line-height: 1.3;
  letter-spacing: -0.01em;
  margin-bottom: 1rem;
  margin-top: 0;
  font-size: 2.3125rem;
  font-weight: 400;
}

.pricing-top-wrapper > p {
  color: #506690;
  margin-bottom: 1rem;
  margin-top: 0;
  font-size: 1.3125rem;
  font-weight: 400;
}

.pricing-choice {
  color: #869ab8;
  padding: 0 0.5rem;
}

.pricing-choice-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 4rem;
}

.pricing-switch {
  position: relative;
  width: 3rem;
  height: 1.5rem;
}

.pricing-input {
  width: 0;
  height: 0;
  background-color: white;
}

.switch-slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #d9e2ef;
}

.switch-slider:before {
  position: absolute;
  content: "";
  height: 1.2rem;
  width: 1.3rem;
  left: 4px;
  bottom: 0.15rem;
  background-color: white;
}

.pricing-input:checked + .switch-slider {
  background-color: #335eea;
}

.pricing-input:checked + .switch-slider:before {
  right: 4px !important;
  left: unset;
}

.switch-slider.round {
  border-radius: 2.5rem;
}

.switch-slider.round::before {
  border-radius: 50%;
}

/* ------------ bot ------------ */
.pricing-bot-wrapper {
  display: flex;
  align-items: center;
}

.pricing-bot-column {
  width: 50%;
}

.pricing-bot-right {
  margin-left: -0.75rem;
  z-index: 10;
}

.pricing-bot-left {
  z-index: 100;
}

.pricing-card {
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: 7px;
  box-shadow: 0 1.5rem 4rem rgba(22, 28, 45, 0.1);
}

.pricing-card-body {
  display: flex;
  justify-content: center;
  padding: 3rem 2rem;
}

.pricing-card-body-wrapper {
  width: 75%;
  /* padding: 0 1.25rem; */
}

.pricing-card-badge {
  text-align: center;
}

.pricing-card-badge-left {
  margin-bottom: 1.5rem;
}

.pricing-card-badge > span {
  background-color: rgba(51, 94, 234, 0.1);
  color: #335eea;
  border-radius: 4rem;
  letter-spacing: 0.08em;
  line-height: 1.55;
  text-transform: uppercase !important;
  font-weight: 500;
  font-size: 0.75rem;
  padding: 0.45rem 0.8rem;
}

.pricing-card-fee {
  display: flex;
  justify-content: center;
}

.pricing-unit {
  line-height: 1.35;
  letter-spacing: -0.01em;
  margin-top: 0.5rem;
  font-size: 1.9375rem;
}

.pricing-amount {
  line-height: 1.2;
  letter-spacing: -0.02em;
  font-size: 3.8125rem;
}

.pricing-period {
  line-height: 1.35;
  letter-spacing: -0.01em;
  margin-bottom: 0.25rem;
  align-self: flex-end;
  font-size: 1.9375rem;
}

.pricing-text-left {
  margin-top: 0;
  margin-bottom: 3rem;
  text-align: center;
}

.pricing-card-feature {
  display: flex;
  margin-top: 0;
}

.pricing-card-feature-icon {
  padding: 0.25rem 0.75rem;
}

.pricing-card-feature-text {
  margin-top: 0;
  margin-bottom: 1rem;
  color: black;
  white-space: nowrap;
}

.pricing-card-button-wrapper {
  width: 100%;
  padding-top: 1.122rem;
  padding-bottom: 1.122rem;
  text-align: center;
  border-radius: 0 0 7px 7px;
}

.pricing-card-left-button {
  background-color: #335eea;
}

.pricing-card-right-button {
  background-color: #d9e2ef;
}

.pricing-card-left-button > a {
  color: white !important;
}

.pricing-card-badge-right {
  margin-bottom: 6rem;
}

.pricing-text-right {
  margin-top: 0;
  margin-bottom: 5rem;
  font-size: 1.3125rem;
  text-align: center;
}

.pricing-card-right-button > a {
  color: #506690;
}

@media only screen and (min-width: 990px) and (max-width: 1200px) {
  .pricing-card-feature {
    margin-left: -1.5rem;
  }
}

@media only screen and (min-width: 760px) and (max-width: 990px) {
  .pricing-unit {
    font-size: 1.5rem;
  }

  .pricing-amount {
    font-size: 2.5rem;
  }

  .pricing-period {
    font-size: 1.5rem;
  }

  .pricing-text-right {
    font-size: 1.1875rem;
  }

  .pricing-card-feature {
    margin-left: -1.5rem;
  }

  .pricing-card-body {
    padding: 3rem 1.5rem;
  }

  .pricing-card-body-wrapper {
    width: 90%;
  }
}

@media only screen and (min-width: 575px) and (max-width: 760px) {
  .pricing-unit {
    font-size: 1.5rem;
  }

  .pricing-amount {
    font-size: 2.5rem;
  }

  .pricing-period {
    font-size: 1.5rem;
  }

  .pricing-top-wrapper {
    width: 100%;
  }

  .pricing-top-wrapper > h1 {
    font-size: 1.875rem;
  }

  .pricing-top-wrapper > p {
    font-size: 1.1875rem;
  }

  .pricing-bot-column {
    width: 100%;
  }

  .pricing-bot-wrapper {
    flex-direction: column;
  }

  .pricing-bot-right {
    margin-left: 0;
  }

  .pricing-card-left {
    margin-bottom: 2rem;
  }

  .pricing-card-feature {
    margin-left: -1.5rem;
  }

  .pricing-card-body-wrapper {
    width: 100%;
  }

  .pricing-card-badge-right {
    margin-bottom: 3rem;
  }

  .pricing-text-right {
    margin-bottom: 0;
    font-size: 1.1875rem;
  }
}

@media only screen and (max-width: 575px) {
  .pricing-unit {
    font-size: 1.5rem;
  }

  .pricing-amount {
    font-size: 2.5rem;
  }

  .pricing-period {
    font-size: 1.5rem;
  }

  .pricing-top-wrapper {
    width: 100%;
  }

  .pricing-top-wrapper > h1 {
    font-size: 1.875rem;
  }

  .pricing-top-wrapper > p {
    font-size: 1.1875rem;
  }

  .pricing-bot-column {
    width: 100%;
  }

  .pricing-bot-wrapper {
    flex-direction: column;
  }

  .pricing-bot-right {
    margin-left: 0;
  }

  .pricing-card-left {
    margin-bottom: 2rem;
  }

  .pricing-card-feature {
    margin-left: -1.5rem;
  }

  .pricing-card-body-wrapper {
    width: 100%;
  }

  .pricing-card-feature-text {
    white-space: unset;
  }

  .pricing-card-badge-right {
    margin-bottom: 3rem;
  }

  .pricing-text-right {
    margin-bottom: 0;
    font-size: 1.1875rem;
  }
}
